File: Makefile [narray-0.6.1.1 Documentation]

### Home Classes Methods

### Files

- ChangeLog
- MANIFEST
- SPEC.en.txt
- Makefile
- depend

### Class Index

Quicksearch

- FFTW
- NArray
- NArrayScalar
- NMath
- NMatrix
- NMatrixLU
- NVector

No matching classes.

SHELL = /bin/sh

# V=0 quiet, V=1 verbose. other values don't work. V = 0 Q1 = $(V:1=) Q = $(Q1:0=@) n=$(NULLCMD) ECHO1 = $(V:1=@$n) ECHO = $(ECHO1:0=@echo)

#### Start of system configuration section. ####

srcdir = . topdir = /usr/pkg/include/ruby-1.9.3 hdrdir = /usr/pkg/include/ruby-1.9.3 arch_hdrdir = /usr/pkg/include/ruby-1.9.3/$(arch) VPATH = $(srcdir):$(arch_hdrdir)/ruby:$(hdrdir)/ruby prefix = $(DESTDIR)/usr/pkg rubylibprefix = $(libdir)/$(RUBY_BASE_NAME) exec_prefix = $(prefix) vendorhdrdir = $(rubyhdrdir)/vendor_ruby sitehdrdir = $(rubyhdrdir)/site_ruby rubyhdrdir = $(includedir)/$(RUBY_BASE_NAME)-$(ruby_version) vendordir = $(rubylibprefix)/vendor_ruby sitedir = $(rubylibprefix)/site_ruby ridir = $(datarootdir)/$(RI_BASE_NAME) mandir = $(DESTDIR)/usr/pkg/man localedir = $(datarootdir)/locale libdir = $(exec_prefix)/lib psdir = $(docdir) pdfdir = $(docdir) dvidir = $(docdir) htmldir = $(docdir) infodir = $(datarootdir)/info docdir = $(datarootdir)/doc/$(PACKAGE) oldincludedir = $(DESTDIR)/usr/include includedir = $(prefix)/include localstatedir = $(prefix)/var sharedstatedir = $(prefix)/com sysconfdir = $(prefix)/etc datadir = $(datarootdir) datarootdir = $(prefix)/share libexecdir = $(exec_prefix)/libexec sbindir = $(exec_prefix)/sbin bindir = $(exec_prefix)/bin rubylibdir = $(rubylibprefix)/$(ruby_version) archdir = $(rubylibdir)/$(arch) sitelibdir = $(sitedir)/$(ruby_version) sitearchdir = $(sitelibdir)/$(sitearch) vendorlibdir = $(vendordir)/$(ruby_version) vendorarchdir = $(vendorlibdir)/$(sitearch)

NULLCMD = :

CC = gcc CXX = c++ LIBRUBY = $(LIBRUBY_SO) LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a LIBRUBYARG_SHARED = -Wl,-R -Wl,$(libdir) -L$(libdir) -l$(RUBY_SO_NAME) LIBRUBYARG_STATIC = -Wl,-R -Wl,$(libdir) -L$(libdir) -l$(RUBY_SO_NAME)-static empty = OUTFLAG = -o $(empty) COUTFLAG = -o $(empty)

RUBY_EXTCONF_H = cflags = $(optflags) $(debugflags) $(warnflags) optflags = -O3 debugflags = -ggdb warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-function-declaration CFLAGS = -fPIC -O2 -pthread -I/usr/include -I/usr/pkg/include -fPIC -pipe $(ARCH_FLAG) INCFLAGS = -I. -I$(arch_hdrdir) -I$(hdrdir)/ruby/backward -I$(hdrdir) -I$(srcdir) DEFS = CPPFLAGS = -DHAVE_STDINT_H -DHAVE_U_INT8_T -DHAVE_UINT8_T -DHAVE_INT16_T -DHAVE_INT32_T -DHAVE_U_INT32_T -DHAVE_UINT32_T -I/usr/include -I/usr/pkg/include $(DEFS) $(cppflags) CXXFLAGS = $(CFLAGS) -O2 -pthread -I/usr/include -I/usr/pkg/include ldflags = -L. -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -pthread -Wl,-export-dynamic dldflags = ARCH_FLAG = DLDFLAGS = $(ldflags) $(dldflags) $(ARCH_FLAG) LDSHARED = $(CC) -shared LDSHAREDXX = $(CXX) -shared AR = ar EXEEXT = POSTLINK = :

RUBY_BASE_NAME = ruby RUBY_INSTALL_NAME = ruby193 RUBY_SO_NAME = ruby193 arch = armv6-netbsdelf-eabihf sitearch = $(arch) ruby_version = 1.9.3 ruby = /usr/pkg/bin/ruby193 RUBY = $(ruby) RM = rm -f RM_RF = $(RUBY) -run -e rm -- -rf RMDIRS = rmdir -p MAKEDIRS = /bin/mkdir -p INSTALL = /usr/bin/install -c INSTALL_PROG = $(INSTALL) -m 0755 INSTALL_DATA = $(INSTALL) -m 644 COPY = cp TOUCH = exit >

#### End of system configuration section. ####

preload =

libpath = . $(libdir) LIBPATH = -L. -L$(libdir) -Wl,-R$(libdir) DEFFILE =

CLEANFILES = mkmf.log DISTCLEANFILES = DISTCLEANDIRS =

extout = extout_prefix = target_prefix = LOCAL_LIBS = LIBS = $(LIBRUBYARG_SHARED) -lpthread -lrt -lcrypt -lm -lc SRCS = narray.c na_array.c na_func.c na_index.c na_random.c na_op.c na_math.c na_linalg.c OBJS = narray.o na_array.o na_func.o na_index.o na_random.o na_op.o na_math.o na_linalg.o TARGET = narray TARGET_NAME = narray TARGET_ENTRY = Init_$(TARGET_NAME) DLLIB = $(TARGET).so EXTSTATIC = STATIC_LIB =

BINDIR = $(bindir) RUBYCOMMONDIR = $(sitedir)$(target_prefix) RUBYLIBDIR = /tmp/math/ruby-narray/work/.inst/usr/pkg/lib/ruby/gems/1.9.3/gems/narray-0.6.1.1/.$(target_prefix) RUBYARCHDIR = /tmp/math/ruby-narray/work/.inst/usr/pkg/lib/ruby/gems/1.9.3/gems/narray-0.6.1.1/.$(target_prefix) HDRDIR = $(rubyhdrdir)/ruby$(target_prefix) ARCHHDRDIR = $(rubyhdrdir)/$(arch)/ruby$(target_prefix)

TARGET_SO = $(DLLIB) CLEANLIBS = $(TARGET).so CLEANOBJS = *.o *.bak

all: $(DLLIB) static: $(STATIC_LIB) .PHONY: all install static install-so install-rb .PHONY: clean clean-so clean-rb

clean-static |
clean-rb-default |
clean-rb |
clean-so | clean: clean-so clean-static clean-rb-default clean-rb
    -$(Q)$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES) .*.time
distclean-rb-default |
distclean-rb |
distclean-so | distclean: clean distclean-so distclean-rb-default distclean-rb
    @-$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
    @-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
    @-$(RMDIRS) $(DISTCLEANDIRS) 2> /dev/null || true
realclean: distclean install: install-so install-rb install-so: $(RUBYARCHDIR)/$(DLLIB) $(RUBYARCHDIR)/$(DLLIB): $(DLLIB)
    -$(Q)$(MAKEDIRS) $(@D)
    $(INSTALL_PROG) $(DLLIB) $(@D)
clean-static | -$(Q)$(RM) $(STATIC_LIB)
install-rb: pre-install-rb install-rb-default install-rb-default: pre-install-rb-default pre-install-rb: Makefile pre-install-rb-default: Makefile pre-install-rb-default: ./.RUBYLIBDIR.time install-rb-default: $(RUBYLIBDIR)/narray_ext.rb $(RUBYLIBDIR) $(RUBYLIBDIR)/narray_ext.rb: $(srcdir)/lib/narray_ext.rb
    $(Q) $(INSTALL_DATA) $(srcdir)/lib/narray_ext.rb $(@D)
install-rb-default: $(RUBYLIBDIR)/nmatrix.rb $(RUBYLIBDIR) $(RUBYLIBDIR)/nmatrix.rb: $(srcdir)/lib/nmatrix.rb
    $(Q) $(INSTALL_DATA) $(srcdir)/lib/nmatrix.rb $(@D)
pre-install-rb-default:
    $(ECHO) installing default narray libraries
pre-install-rb: ./.RUBYARCHDIR.time install-rb: $(RUBYARCHDIR)/narray.h $(RUBYARCHDIR) $(RUBYARCHDIR)/narray.h: $(srcdir)/narray.h
    $(Q) $(INSTALL_DATA) $(srcdir)/narray.h $(@D)
install-rb: $(RUBYARCHDIR)/narray_config.h $(RUBYARCHDIR) $(RUBYARCHDIR)/narray_config.h: $(srcdir)/narray_config.h
    $(Q) $(INSTALL_DATA) $(srcdir)/narray_config.h $(@D)
pre-install-rb:
    $(ECHO) installing narray libraries
./.RUBYLIBDIR.time:
    $(Q) $(MAKEDIRS) $(RUBYLIBDIR)
    $(Q) $(TOUCH) $@
./.RUBYARCHDIR.time:
    $(Q) $(MAKEDIRS) $(RUBYARCHDIR)
    $(Q) $(TOUCH) $@
site-install: site-install-so site-install-rb site-install-so: install-so site-install-rb: install-rb .SUFFIXES: .c .m .cc .mm .cxx .cpp .C .o .cc.o:
    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<
.mm.o:
    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<
.cxx.o:
    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<
.cpp.o:
    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<
.C.o:
    $(ECHO) compiling $(<)
    $(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $<
.c.o:
    $(ECHO) compiling $(<)
    $(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<
.m.o:
    $(ECHO) compiling $(<)
    $(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $<
$(DLLIB): $(OBJS) Makefile
    $(ECHO) linking shared-object $(DLLIB)
    -$(Q)$(RM) $(@)
    $(Q) $(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)
### na_op.c: mknafunc.rb mkop.rb
    $(RUBY) -I$(srcdir) $(srcdir)/mkop.rb
na_op.o: na_op.c narray.h $(hdrdir)/ruby/ruby.h na_math.c: mknafunc.rb mkmath.rb
    $(RUBY) -I$(srcdir) $(srcdir)/mkmath.rb
na_math.o: na_math.c narray.h $(hdrdir)/ruby/ruby.h cleanall: clean
    @$(RM) -r Makefile narray_config.h na_op.c na_math.c src pkg

[Validate]

Generated with the Darkfish Rdoc Generator 2.